<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num1_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="1" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num2_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="2" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num3_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="3" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num4_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="4" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num5_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="5" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num6_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="6" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num7_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="7" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num8_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="8" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num9_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="9" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/empty_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:gravity="center"
            android:visibility="visible" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/num0_textView"
            style="@style/font_notosans_b_23sp_000000"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:gravity="center"
            android:text="0" />

        <ImageButton
            android:id="@+id/del_imageButton"
            android:layout_width="@dimen/number_keypad_width"
            android:layout_height="@dimen/number_keypad_width"
            android:layout_marginBottom="@dimen/number_keypad_margin_top"
            android:layout_marginLeft="@dimen/number_keypad_margin_left"
            android:layout_marginRight="@dimen/number_keypad_margin_left"
            android:layout_marginTop="@dimen/number_keypad_margin_top"
            android:background="?selectableItemBackgroundBorderless"
            android:scaleType="centerInside"
            android:src="@mipmap/temp_keyboard_ic_back" />
    </LinearLayout>
</LinearLayout>